curl --request POST \
--url https://api.uat.frankie.one/v2/results/{entityId}/processes/{processResultId}/redact \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"processResult": {
"processResultId": "<string>",
"schemaVersion": 123,
"entityId": "<string>",
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"stepName": "<string>",
"stepType": "<string>",
"objectType": "<string>",
"objectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "<string>",
"providerResult": {
"name": "<string>",
"source": "<string>",
"sourceNormalized": "<string>",
"reference": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"confidence": {
"normalized": 50,
"actual": "<string>"
},
"riskScore": 123,
"errorCode": "<string>",
"errorMessage": "<string>"
},
"subClass": "<string>",
"supplementaryData": {
"serviceProvider": "<string>",
"searchId": "<string>",
"caseId": "<string>",
"referenceId": "<string>",
"originalStepSearchLevel": "<string>",
"groupingId": "<string>",
"reportUrl": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"matchData": {
"spReferenceId": "<string>",
"name": "<string>",
"strength": 123,
"givenName": "<string>",
"otherName": "<string>",
"familyName": "<string>",
"date": "<string>",
"address": "<string>",
"countries": [
{
"code": "<string>",
"matchType": "<string>"
}
],
"nationalId": {
"idNumber": "<string>",
"idType": "<string>",
"idExpiry": "<string>",
"issuingCountryCode": "<string>",
"documentId": "<string>"
},
"imageUrl": "<string>",
"isDeceased": true,
"isAlias": true,
"isRelated": true
},
"aliases": [
"<string>"
],
"relatedParties": [
{
"name": "<string>",
"relationship": "<string>"
}
],
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"notes": {},
"pepData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"level": "<string>",
"sourceUrl": "<string>",
"sourcePosition": "<string>",
"position": "<string>",
"positionDescription": "<string>",
"status": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"sanctionData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"watchlistData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"mediaData": [
{
"title": "<string>",
"source": "<string>",
"snippet": "<string>",
"sourceDate": "<string>",
"sourceCountry": "<string>",
"url": "<string>",
"isCurrent": true
}
]
},
"errors": [
{
"code": "<string>",
"description": "<string>",
"location": "<string>"
}
],
"notes": {},
"systemStatus": "VALID",
"riskFactors": [
{
"factor": "<string>",
"value": "<string>"
}
],
"updatedBy": "<string>"
},
"redactedFields": [
"<string>"
],
"droppedFields": [
"<string>"
]
}Redact Process Result
Redact the process result object with the matching ID. The process result is redacted regardless of its current state. All PII data in the process result will be replaced with ”*” or dropped.
curl --request POST \
--url https://api.uat.frankie.one/v2/results/{entityId}/processes/{processResultId}/redact \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"processResult": {
"processResultId": "<string>",
"schemaVersion": 123,
"entityId": "<string>",
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"stepName": "<string>",
"stepType": "<string>",
"objectType": "<string>",
"objectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "<string>",
"providerResult": {
"name": "<string>",
"source": "<string>",
"sourceNormalized": "<string>",
"reference": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"confidence": {
"normalized": 50,
"actual": "<string>"
},
"riskScore": 123,
"errorCode": "<string>",
"errorMessage": "<string>"
},
"subClass": "<string>",
"supplementaryData": {
"serviceProvider": "<string>",
"searchId": "<string>",
"caseId": "<string>",
"referenceId": "<string>",
"originalStepSearchLevel": "<string>",
"groupingId": "<string>",
"reportUrl": "<string>",
"fuzziness": {
"normalized": 50,
"actual": "<string>"
},
"matchData": {
"spReferenceId": "<string>",
"name": "<string>",
"strength": 123,
"givenName": "<string>",
"otherName": "<string>",
"familyName": "<string>",
"date": "<string>",
"address": "<string>",
"countries": [
{
"code": "<string>",
"matchType": "<string>"
}
],
"nationalId": {
"idNumber": "<string>",
"idType": "<string>",
"idExpiry": "<string>",
"issuingCountryCode": "<string>",
"documentId": "<string>"
},
"imageUrl": "<string>",
"isDeceased": true,
"isAlias": true,
"isRelated": true
},
"aliases": [
"<string>"
],
"relatedParties": [
{
"name": "<string>",
"relationship": "<string>"
}
],
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"notes": {},
"pepData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"level": "<string>",
"sourceUrl": "<string>",
"sourcePosition": "<string>",
"position": "<string>",
"positionDescription": "<string>",
"status": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"sanctionData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"watchlistData": [
{
"countryCode": "<string>",
"countryName": "<string>",
"sourceName": "<string>",
"sourceUrl": "<string>",
"sourceReason": "<string>",
"listingStart": "<string>",
"listingEnd": "<string>",
"imageUrl": "<string>",
"referenceDocs": [
{
"url": "<string>",
"description": "<string>"
}
],
"additionalData": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"mediaData": [
{
"title": "<string>",
"source": "<string>",
"snippet": "<string>",
"sourceDate": "<string>",
"sourceCountry": "<string>",
"url": "<string>",
"isCurrent": true
}
]
},
"errors": [
{
"code": "<string>",
"description": "<string>",
"location": "<string>"
}
],
"notes": {},
"systemStatus": "VALID",
"riskFactors": [
{
"factor": "<string>",
"value": "<string>"
}
],
"updatedBy": "<string>"
},
"redactedFields": [
"<string>"
],
"droppedFields": [
"<string>"
]
}Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Path Parameters
Unique FrankieOne identifier for an entity
Response
Redacted Process Result Object
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
Show child attributes
Show child attributes
Supplementary data field paths whose string values were redacted (replaced with "*").
Supplementary data field paths whose non-string values were dropped from the process result.
Was this page helpful?